package com.rjconsultores.ventaboletos.web.utilerias.menu.item.esquemaoperacional;

import org.zkoss.util.resource.Labels;

import com.rjconsultores.ventaboletos.constantes.ConstantesFuncionSistema;
import com.rjconsultores.ventaboletos.web.utilerias.PantallaUtileria;
import com.rjconsultores.ventaboletos.web.utilerias.menu.DefaultItemMenuSistema;

public class ItemMenuEsquemaOperacionalAprovacaoRuta extends DefaultItemMenuSistema {

	public ItemMenuEsquemaOperacionalAprovacaoRuta() {
		super("indexController.mniEsquemaOperacionalAprovacaoRuta.label");
	}

	@Override
	public String getClaveMenu() {
		return ConstantesFuncionSistema.CLAVE_AUTORIZACAO_RUTA;
	}

	@Override
	public void ejecutar() {
		PantallaUtileria.openWindow("/gui/esquema_operacional/busquedaRutaManutencao.zul",
                Labels.getLabel("busquedaCatalogoDeRutaManutencaoController.window.title"), getArgs(), desktop);
		
	}

}
